# pandas.api.extensions.ExtensionArray._from_factorized

classmethod ExtensionArray._from_factorized(values, original)

  Reconstruct an ExtensionArray after factorization.

  Parameters
    values ndarray

      An integer ndarray with the factorized values.

    original ExtensionArray

      The original ExtensionArray that factorize was called on.

  See also

  `factorize`

    Top-level factorize method that dispatches here.

  `ExtensionArray.factorize`

    Encode the extension array as an enumerated type.